# $Revision: 1.3 $, $Date: 2005/09/05 17:55:47 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Lingua
%define	pnam	Preferred
Summary:	Lingua::Preferred - Perl extension to choose a language
Summary(pl):	Lingua::Preferred - rozszerzenie Perla do wybierania jzyka
Name:		perl-Lingua-Preferred
Version:	0.2.4
Release:	1
# assuming same as perl, as not specified in sources
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	37e883fafb05b1439de1121f41e8ad75
BuildRequires:	perl-Log-TraceMessages >= 1.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Often human-readable information is available in more than one
language. Which should you use? This module provides a way for the
user to specify possible languages in order of preference, and then to
pick the best language of those available. Different 'dialects' given
by the 'territory' part of the language specifier (such as en, en_GB,
and en_US) are also supported.

%description -l pl
Czsto informacje czytelne dla czowieka s dostpne w wicej ni
jednym jzyku. Ktrego z nich naley uy? Ten modu udostpnia metod
do przekazywania przez uytkownika moliwych jzykw w kolejnoci
preferencji, a nastpnie wyboru najlepszego jzyka spord dostpnych.
Rne "dialekty" podane przez cz "terytorialn" okrelenia jzyka
(takie jak en, en_GB i en_US) take s obsugiwane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Lingua/*.pm
%dir %{perl_vendorlib}/auto/Lingua
%dir %{perl_vendorlib}/auto/Lingua/Preferred
%{perl_vendorlib}/auto/Lingua/Preferred/autosplit.ix
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-Preferred.spec,v $
Revision 1.3  2005/09/05 17:55:47  qboosh
- pl

Revision 1.2  2005/09/05 13:05:45  glen
- 0.2.4

Revision 1.1  2005/09/05 12:53:52  glen
- new
